-- -------------------------------------------------------
-- Roqet Administration scripts
-- Create Schema - runs all the administration scripts to 
-- create the tablespace user, and roles for Roqet
-- database applications
-- -------------------------------------------------------
PROMPT
PROMPT Roqet - Administration scripts
PROMPT

PROMPT WARNING:
PROMPT This script will run all the administration scripts to create 
PROMPT the tablespace user, and roles for the Roqet database applications.
PROMPT You should have reviewed all the "CREATE..." scripts before 
PROMPT running this to determine what settings need to be changed 
PROMPT for your environment.
PROMPT You should be logged in as SYSTEM to use this script.
PROMPT
PROMPT Hit Enter to Continue, ctrl-c + exit to Abort
PAUSE

SET PAGESIZE 0
SET FEEDBACK ON

PROMPT Operating System Setting (for all POSIX-based systems choose LINUX):
ACCEPT os CHAR PROMPT 'Enter in uppercase either LINUX or WINDOWS: '
PROMPT
      
@@CREATE_ROQET_TABLESPACE_ROQDATA_&os..sql
PROMPT     
@@CREATE_ROLE_ROQ_R_READ.sql
PROMPT
@@CREATE_ROLE_ROQ_R_WRITE.sql
PROMPT
@@CREATE_USER_ROQET.sql
PROMPT

PROMPT
PROMPT Roqet Administration Script Run Complete
PROMPT

PROMPT
PROMPT Hit Enter to Close
PAUSE

EXIT
